CS::Mesh::iAnimatedMeshMorphTarget Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Mesh::iAnimatedMeshMorphTarget Struct Reference
Mesh plugins

A morph target. More...

`#include <imesh/animesh.h>`

Inheritance diagram for CS::Mesh::iAnimatedMeshMorphTarget:

List of all members.

## Public Member Functions
virtual void | AddSubset (const size_t subset)=0
| Add a subset to this morph target.
virtual const char * | GetName () const =0
| Get the name of this morph target.
virtual size_t | GetSubset (const size_t index) const =0
| Get a subset associated with this morph target.
virtual size_t | GetSubsetCount () const =0
| Get the number of subsets associated with this morph target.
virtual iRenderBuffer * | GetVertexOffsets ()=0
| Get the buffer of the vertex offsets.
virtual void | Invalidate ()=0
| Update the morph target after some changes to its vertex offsets.
virtual bool | SetVertexOffsets (iRenderBuffer *renderBuffer)=0
| Set the render buffer to use for the vertex offsets.

## Detailed Description

A morph target.

It can be used to deform by morphing the vertices of an animated mesh.

Definition at line 773 of file animesh.h.

## Member Function Documentation

virtual void CS::Mesh::iAnimatedMeshMorphTarget::AddSubset | ( | const size_t | subset | ) | `[pure virtual]`

Add a subset to this morph target.

The morph target must have non zero offsets for all the vertices of this subset.

virtual const char* CS::Mesh::iAnimatedMeshMorphTarget::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this morph target.

virtual size_t CS::Mesh::iAnimatedMeshMorphTarget::GetSubset | ( | const size_t | index | ) | const`[pure virtual]`

Get a subset associated with this morph target.

virtual size_t CS::Mesh::iAnimatedMeshMorphTarget::GetSubsetCount | ( |  | ) | const`[pure virtual]`

Get the number of subsets associated with this morph target.

virtual iRenderBuffer* CS::Mesh::iAnimatedMeshMorphTarget::GetVertexOffsets | ( |  | ) | `[pure virtual]`

Get the buffer of the vertex offsets.

Remember to call Invalidate() after changing this data.

virtual void CS::Mesh::iAnimatedMeshMorphTarget::Invalidate | ( |  | ) | `[pure virtual]`

Update the morph target after some changes to its vertex offsets.

virtual bool CS::Mesh::iAnimatedMeshMorphTarget::SetVertexOffsets | ( | iRenderBuffer * | renderBuffer | ) | `[pure virtual]`

Set the render buffer to use for the vertex offsets.

If no subset is defined on the owning mesh object, the buffer must hold as many elements as the vertex buffer of this mesh object. Remember to call Invalidate() after changing this data.

The documentation for this struct was generated from the following file:

- imesh/animesh.h